Package ru.bitel.bgbilling.modules.voice.common.service

# Interface VoiceOperAccountService

public interface VoiceOperAccountService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `voiceOperAccountDelete(int accountId)`
  Удаление аккаунта по его коду в БД.
  `VoiceOperAccount`
  `voiceOperAccountGet(int accountId)`
  Получение одного конкретного аккаунта по его коду в БД.
  `List<VoiceOperAccount>`
  `voiceOperAccountList(int contractId, Period period)`
  Получение списка аккаунта с фильтрацией по договору.
  `int`
  `voiceOperAccountTypeDelete(int accountTypeId)`
  Удаление типа аккаунта по его коду в БД.
  `VoiceOperAccountType`
  `voiceOperAccountTypeGet(int accountTypeId)`
  Получение одного конкретного типа аккаунта по его коду в БД.
  `List<VoiceOperAccountType>`
  `voiceOperAccountTypeList()`
  Получение списка типов аккаунта
  `int`
  `voiceOperAccountTypeUpdate(VoiceOperAccountType accountType)`
  Добавление/изменение типа аккаунта.
  `int`
  `voiceOperAccountUpdate(VoiceOperAccount account)`
  Добавление/изменение аккаунта.
  `SearchResult<VoiceOperAccount>`
  `voiceSearchAccount(VoiceOperAccountSearchParam searchParam, Page page)`

- ## Method Details

  - ### voiceOperAccountList

    List<VoiceOperAccount> voiceOperAccountList(int contractId, Period period) throws Exception
    Получение списка аккаунта с фильтрацией по договору.
    Parameters:
      `contractId` - код договора
    Returns:
      список аккаунтов договора
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### voiceOperAccountGet

    VoiceOperAccount voiceOperAccountGet(int accountId) throws Exception
    Получение одного конкретного аккаунта по его коду в БД.
    Parameters:
      `accountId` - код аккаунта
    Returns:
      аккаунт
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### voiceOperAccountUpdate

    int voiceOperAccountUpdate(VoiceOperAccount account) throws Exception
    Добавление/изменение аккаунта. Если код аккаунта > 0, то произойдет обновление его полей, в противном случае - добавление нового аккаунта
    Parameters:
      `account` - аккаунт
    Returns:
      код добавленного/измененного аккаунта
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### voiceOperAccountDelete

    int voiceOperAccountDelete(int accountId) throws Exception
    Удаление аккаунта по его коду в БД.
    Parameters:
      `accountId` - код аккаунта
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### voiceOperAccountTypeList

    List<VoiceOperAccountType> voiceOperAccountTypeList() throws Exception
    Получение списка типов аккаунта
    Returns:
      список типов аккаунта
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### voiceOperAccountTypeGet

    VoiceOperAccountType voiceOperAccountTypeGet(int accountTypeId) throws Exception
    Получение одного конкретного типа аккаунта по его коду в БД.
    Parameters:
      `accountTypeId` - код аккаунта
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### voiceOperAccountTypeUpdate

    int voiceOperAccountTypeUpdate(VoiceOperAccountType accountType) throws Exception
    Добавление/изменение типа аккаунта. Если код типа аккаунта > 0, то будут обновлены все поля уже существующего типа аккаунта, в противном случае - добавление нового типа аккаунта
    Parameters:
      `accountType` - тип аккаунта
    Returns:
      код добавленного/измененного типа аккаунта
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### voiceOperAccountTypeDelete

    int voiceOperAccountTypeDelete(int accountTypeId) throws Exception
    Удаление типа аккаунта по его коду в БД.
    Parameters:
      `accountTypeId` - код типа аккаунта
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### voiceSearchAccount

    SearchResult<VoiceOperAccount> voiceSearchAccount(VoiceOperAccountSearchParam searchParam, Page page) throws Exception
    Throws:
      `Exception`